﻿using LawFirmDataModels.Models;
using LawFirmContracts.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class ImplementerViewModel :IImplementerModel
    {
		[Column(visible: false)]
		public int Id { get; set; }

		[Column("ФИО", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ImplementerFIO { get; set; } = string.Empty;

		[Column("Пароль", width: 110)]
		public string Password { get; set; } = string.Empty;

		[Column("Трудовой стаж", width: 110)]
		public int WorkExperience { get; set; }

		[Column("Квалификация", width: 110)]
		public int Qualification { get; set; }
    }
}
